> ## Documentation Index
> Fetch the complete documentation index at: https://docs.minestorecms.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Profile Page

> Retrieve detailed profile information for a specific user by username.



## OpenAPI

````yaml GET /profile/{username}
openapi: 3.0.0
info:
  title: MineStoreCMS REST API
  description: Documentation for MineStoreCMS Frontend REST API.
  version: 3.8.7
servers:
  - url: https://v3.minestorecms.com/api
    description: Example URL of Demo Server
security: []
tags: []
paths:
  /profile/{username}:
    get:
      tags:
        - profile
      summary: Get user profile data
      description: Retrieve detailed profile information for a specific user by username.
      parameters:
        - name: username
          in: path
          required: true
          description: The username of the profile to retrieve
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  username:
                    type: string
                    description: The username of the user
                  displayname:
                    type: string
                    description: >-
                      The formatted display name of the user, including group,
                      prefix, and suffix
                  group:
                    type: string
                    description: The player group of the user
                  created:
                    type: string
                    format: date
                    description: The date when the user was created
                  top_item_name:
                    type: string
                    description: The name of the most expensive item purchased by the user
                  top_item_id:
                    type: integer
                    description: The ID of the most expensive item purchased by the user
                  items:
                    type: array
                    description: A list of recent purchases made by the user
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                          description: The name of the item
                        price:
                          type: number
                          format: float
                          description: The price of the item
                        id:
                          type: integer
                          description: The ID of the item
                  money_spent:
                    type: number
                    format: float
                    description: The total amount of money spent by the user
                example:
                  username: xMarkus
                  displayname: '[Admin] xMarkus'
                  group: Admin
                  created: '2023-08-20'
                  top_item_name: VIP Package
                  top_item_id: 1
                  items:
                    - name: VIP Package
                      price: 29.99
                      id: 1
                    - name: Diamonds
                      price: 9.99
                      id: 2
                  money_spent: 39.98
        '401':
          description: (Unauthorized) Invalid or missing Access Token
      deprecated: false

````